Retrieves all the equipment_model objects

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

equipment_model
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

name

Name of the equipment model

string

Required

Max length: 50

description

Description of the equipment model

string
equipment_brand_id

FK Of Equipment brand

globally unique identifier
equipment_brand_code

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

string
equipment_brand

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

equipment_brand
equipment_family_id

FK Of equipment_family

globally unique identifier
equipment_family_code

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

string
equipment_family

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

equipment_family
date_in_production_since

Date in production since

date
date_out_of_production_since

Date Out Of production since

date
date_end_support

Date end support

date
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating equipment_model

string
sales_organization

Embedded entity "sales_organization" when adding/updating equipment_model

sales_organization
replacement_period_nb_months

replacement_period_nb_months

integer
warranty_period_nb_months

warranty_period_nb_months

integer
translations

List of translation of specific field name

Collection of translation
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "a6a6c0c4-7830-4486-801e-ea66e2840516",
  "code": "sample string 2",
  "name": "sample string 3",
  "description": "sample string 4",
  "equipment_brand_id": "33e79701-0fa5-4cb0-b7bd-6912256a4aea",
  "equipment_brand_code": "sample string 6",
  "equipment_brand": {
    "id": "e3e1bd06-bfbe-4acb-9301-65d6358c91ab",
    "name": "sample string 2",
    "code": "sample string 3",
    "sales_organization_id": "32f4c2e9-6bd3-47f4-bbf8-8b005eba82e3",
    "sales_organization_code": "sample string 5",
    "sales_organization": {
      "id": "3583f3ae-ee8c-4830-91a6-31461c454b91",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "5206d652-41de-4064-9d35-885e6bdae882",
      "db_currency_id": "c4f58a4c-b774-4cff-800c-133080aaec38",
      "db_language_id": "d09d8efd-91f6-40e7-90ac-b72ac7392453",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-19T18:37:53.1140202+00:00"
    },
    "modified_dateutc": "2026-11-19T18:37:53.1140202+00:00"
  },
  "equipment_family_id": "dc23a91d-c1bd-4f6f-a5cb-e172465d25d6",
  "equipment_family_code": "sample string 8",
  "equipment_family": {
    "id": "f56fdf14-4034-4b6c-9876-01d84788dc28",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "_parent_id": "cc690e49-edd4-439f-851a-e96574a6fbac",
    "_parent_code": "sample string 6",
    "sales_organization_id": "a209c1e9-c9e1-4927-b6d6-08a12321179b",
    "sales_organization_code": "sample string 8",
    "sales_organization": {
      "id": "3583f3ae-ee8c-4830-91a6-31461c454b91",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "5206d652-41de-4064-9d35-885e6bdae882",
      "db_currency_id": "c4f58a4c-b774-4cff-800c-133080aaec38",
      "db_language_id": "d09d8efd-91f6-40e7-90ac-b72ac7392453",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-19T18:37:53.1140202+00:00"
    },
    "modified_dateutc": "2026-11-19T18:37:53.1140202+00:00"
  },
  "date_in_production_since": "2026-11-19T18:37:53.1140202+00:00",
  "date_out_of_production_since": "2026-11-19T18:37:53.1140202+00:00",
  "date_end_support": "2026-11-19T18:37:53.1140202+00:00",
  "sales_organization_id": "d361366b-ea3f-4076-a619-550a0a43e472",
  "sales_organization_code": "sample string 13",
  "sales_organization": {
    "id": "3583f3ae-ee8c-4830-91a6-31461c454b91",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "5206d652-41de-4064-9d35-885e6bdae882",
    "db_currency_id": "c4f58a4c-b774-4cff-800c-133080aaec38",
    "db_language_id": "d09d8efd-91f6-40e7-90ac-b72ac7392453",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-11-19T18:37:53.1140202+00:00"
  },
  "replacement_period_nb_months": 14,
  "warranty_period_nb_months": 15,
  "translations": [
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    },
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    }
  ],
  "modified_dateutc": "2026-11-19T18:37:53.1140202+00:00"
}